name: Peter Li
locality: Charlotte NC , USA
country: United States
role: <a href="">Senior Revenue Accountant</a>
reports_to: stephenduggan
picture: Peter_Li.JPG
pronouns: he/him
pronunciation:
twitter:
linkedin:
gitlab: pli6
departments:
  - Accounting
specialty: ""
expertise:
story:

